×

Registers your server's public IP address for authentication. This is required for Outbound/Termination calls - allowing your system to send calls through the trunk.

ACL (Access Control List) ensures only authorized IP addresses can use your trunk for outbound calling.

POST

https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks/<trunk_sid>/whitelisted-ips

Replace <your_api_key> and <your_api_token> with the API key and token created by you.

  • Replace <your_sid> with your “Account sid”
  • Replace <subdomain> with the region of your account
    1. <subdomain> of Singapore cluster is @api.exotel.com
    2. <subdomain> of Mumbai cluster is @api.in.exotel.com

<your_api_key> , <your_api_token> and <your_sid> are available in the API settings page of your Exotel Dashboard

Request Headers

Header Value
Content-Type application/json

Request Parameters

Parameter Name Mandatory/Optional Value
ip Mandatory String; Your server's public IP address. Must be a valid IPv4 address. Example: 44.248.146.11203.0.113.50
mask Optional Integer; Subnet mask in CIDR notation. Default: 32 (single IP). Use 24 for /24 subnet, 16 for /16 subnet. Example: 3224
 
curl -X POST "https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks/<trunk_sid>/whitelisted-ips" \
  -H "Content-Type: application/json" \
  -d '{
    "ip": "44.248.146.11",
    "mask": 32
  }'

HTTP Response

On success, the HTTP response status code will be 200 OK.

Response Parameters

Parameter Name Type & Value
id String; Unique identifier for this ACL entry. Example: 1153
ip String; The whitelisted IP address
mask Integer; Subnet mask in CIDR notation
trunk_sid String; The trunk this ACL is associated with
friendly_name String or null; Optional friendly name for the IP
date_created String; ISO 8601 timestamp when ACL was created
date_updated String; ISO 8601 timestamp when ACL was last updated

 

{
  "request_id": "3daaed4cd05d443f854e07e60dd4c008",
  "method": "POST",
  "http_code": 200,
  "response": {
    "code": 200,
    "error_data": null,
    "status": "success",
    "data": {
      "id": "1153",
      "mask": 32,
      "trunk_sid": "trmum1f708622631150902801a1n",
      "ip": "44.248.146.11",
      "friendly_name": null,
      "date_created": "2026-01-23T11:37:36Z",
      "date_updated": "2026-01-23T11:37:36Z"
    }
  }
}